Versi Graph API

Instagram Business Asset Assigned Users

Membaca

Get a list of business users and their permissions tasks for this Instagram Business Asset

Contoh

Graph API Explorer
GET /v26.0/{instagram-business-asset-id}/assigned_users HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/assigned_users',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/assigned_users",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/assigned_users",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/assigned_users"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Jika Anda ingin mempelajari cara menggunakan Graph API, baca Menggunakan panduan Graph API kami.

Parameter

ParameterKeterangan
business
numeric string

business

Diperlukan

Kolom

Jika membaca dari edge ini, maka akan mengembalikan hasil berformat JSON:

{ "data": [], "paging": {} }

data

Daftar dari node AssignedUser.

Kolom berikut ini akan ditambahkan ke masing-masing node yang dikembalikan:

KolomKeterangan
tasks
list<string>

tasks

paging

Untuk perincian selengkapnya tentang penomoran halaman, lihat panduan Graph API.

Error Codes

KesalahanDescription
100Invalid parameter

Membuat

Anda tidak dapat melakukan operasi ini pada titik akhir ini.

Memperbarui

You can update an AssignedUser by making a POST request to /{instagram_business_asset_id}/assigned_users.

Parameter

ParameterKeterangan
tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Instagram Business Asset tasks to assign to user

user
UID

Business user

Diperlukan

Jenis Pengembalian

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}

Error Codes

KesalahanDescription
100Invalid parameter

Menghapus

You can dissociate an AssignedUser from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/assigned_users.

Parameter

ParameterKeterangan
user
UID

user

Diperlukan

Jenis Pengembalian

Struct {
success: bool,
}